﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Xml.Linq;

namespace ConsoleApp24
{
    public class ImageCollector
    {
        IWebpageProvider webpageProvider;

        public ImageCollector(IWebpageProvider webpageProvider)
        {
            this.webpageProvider = webpageProvider;
        }

        public IList<ImageData> GetImages(string url)
        {
            XDocument pageText = webpageProvider.Download(url);

            string pathOfImages = url.Substring(0, url.LastIndexOf('/') + 1);
            return pageText.Root
                .Element("body")
                .Elements("img")   
                .Select(imgElement => new ImageData()
                {
                    FileName = imgElement.Attribute("src").Value,
                    URL = pathOfImages + imgElement.Attribute("src").Value
                }).ToList();
        }
    }
}
